org.apache.calcite.avatica

## Class AvaticaParameter

- java.lang.Object
- - org.apache.calcite.avatica.AvaticaParameter

    public class AvaticaParameter
    extends Object

Metadata for a parameter.

### Field Summary

Fields
`String` `className`
`String` `name`
`int` `parameterType`
`int` `precision`
`int` `scale`
`boolean` `signed`
`String` `typeName`

### Constructor Summary

Constructors
Constructor and Description
`AvaticaParameter(boolean signed, int precision, int scale, int parameterType, String typeName, String className, String name)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`static AvaticaParameter` `fromProto(org.apache.calcite.avatica.proto.Common.AvaticaParameter proto)`
`int` `hashCode()`
`org.apache.calcite.avatica.proto.Common.AvaticaParameter` `toProto()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### signed

    public final boolean signed

#### precision

    public final int precision

#### scale

    public final int scale

#### parameterType

    public final int parameterType

#### typeName

    public final String typeName

#### className

    public final String className

#### name

    public final String name

### Constructor Detail

#### AvaticaParameter

    public AvaticaParameter(boolean signed,
                            int precision,
                            int scale,
                            int parameterType,
                            String typeName,
                            String className,
                            String name)

### Method Detail

#### toProto

    public org.apache.calcite.avatica.proto.Common.AvaticaParameter toProto()

#### fromProto

    public static AvaticaParameter fromProto(org.apache.calcite.avatica.proto.Common.AvaticaParameter proto)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`